/*
Copyright (c) 2018-2019 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
// @flow
// BASEUI-GENERATED-REACT-ICON
// DO NOT EDIT THIS FILE DIRECTLY, SEE README.md
import * as React from 'react';
import Icon from './icon.js';
import omitDollarPrefixedKeys from './omit-dollar-prefixed-keys.js';
import type {IconPropsT} from './types.js';
import {ThemeContext} from '../styles/theme-provider.js';

export default function Blank(props: IconPropsT) {
  return (
    <ThemeContext.Consumer>
      {theme =>
        theme.icons && theme.icons.Blank ? (
          <theme.icons.Blank
            title="Blank"
            viewBox="0 0 24 24"
            {...omitDollarPrefixedKeys(props)}
          />
        ) : (
          <Icon title="Blank" viewBox="0 0 24 24" {...props}></Icon>
        )
      }
    </ThemeContext.Consumer>
  );
}
